Configuration
=============

Here you are supposed to say the general idea behind the configuration
representation and also list its capabilities. (e.g., you create and instance,
put modules, then you have to compute the matrix, etc.)

Feel free to add code examples.


Types and Constants
-------------------

.. doxygentypedef:: ID
    :project: lib

.. doxygenenum:: Joint
    :project: lib

.. doxygenenum:: ShoeId
    :project: lib

.. doxygenenum:: ConnectorId
    :project: lib

.. doxygenenum:: Orientation
    :project: lib

Classes
-------

.. doxygenclass:: Module
    :project: lib

.. doxygenclass:: Edge
   :project: lib

.. doxygenclass:: Action
    :project: lib

.. doxygenclass:: Configuration
   :project: lib